Bug 1184708 - RFE: Override plural forms
Summary: RFE: Override plural forms
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-Logic, Component-Persistence
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.7
Assignee: Alex Eng
QA Contact: Damian Jansen
URL:
Whiteboard:
Depends On:
Blocks: 1197928 1197925 1197927
TreeView+ depends on / blocked
 
Reported: 2015-01-22 05:11 UTC by Carlos Munoz
Modified: 2015-07-22 02:20 UTC (History)
4 users (show)

Fixed In Version: 3.7.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-2630)
Doc Type: Bug Fix
Doc Text:
Story Points: 2
Clone Of:
Environment:
Last Closed: 2015-07-22 02:20:13 UTC


Attachments (Terms of Use)

Description Carlos Munoz 2015-01-22 05:11:18 UTC
Override the default plural forms for a language on the server.

Comment 1 Alex Eng 2015-02-05 00:12:39 UTC
Pull request:
https://github.com/zanata/zanata-server/pull/683

Comment 2 Alex Eng 2015-02-08 23:46:04 UTC
Implementations:
Allow Zanata admin to override default plural forms in pluralforms.properties.
- Changes in UI for admin to input new plural forms 
- Changes in HLocale table for new column,
- pluralforms in HDocument should still has the highest priority, follow by data from HLocale, and finally pluralforms.properties.

Comment 3 Damian Jansen 2015-02-23 00:39:15 UTC
Verified merge (master) at 062565c69a67bdfba201613c3a47a41a012a0edf


Note You need to log in before you can comment on or make changes to this bug.